﻿© 2001 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 224: (1 year) CAL VER / 9500-4hd: 1.00
DATE:                  2001-06-26
AUTHOR:                MSD
REVISION:              $Revision: 1.00 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       29
NUMBER OF LINES:       1252
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#@
#@ Procedure ID No: 001157M001
#@
#@ Models covered:  210, 220,  224
#@
#@ Source:     Tektronix TDS 200 Series
#@             Service Manual
#@             Digital Real-Time Oscilloscope
#@             071-0492-02
#@
#@
#@ Source Author:   N/K
#@
#@ Compatibility:   MET/CAL 6.10 or later
#@
#@ Subprocedures:
#@              Sub Wait for Operation Complete (OPC) IEEE/: 1.00
#@              Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
#@
#@ Required Files:
#@
#@
#@ Additional equipment Required:
#@
#@               Two BNC (f/m) Right Angle Adaptors (Pomona 90191 Model 3534)
#@
#@ The Procedure was tested using:
#@
#@                  Model No  TEKTRONIX TDS 224
#@                  Serial No BO25022
#@                  Options   N/A
#@                  Firmware Ver FV:v1.06
#@                  Module Firmware Ver TDS2CM:CMV:v1.04
#@
#@ The average run time during testing was 20 minutes.
#@
#@ Procedure history:
#@      21-06-01: New Procedure
#@
#@ The procedure is intended for use with Met/Cal(r) calibration software,
#@ and the terms and conditions set forth in your METCAL license apply to
#@ this procedure.
#@
#@ Due to our policy of continuously up dating our products, this procedure
#@ may contain minor differences in specification to those found in the manual
#@ or other documentation. While every effort has been made to ensure that
#@ this procedure is accurate, Fluke cannot be held responsible for the
#@ consequences of error or omissions found within this procedure.
#@
#@ The copyright in this procedure is owned by Fluke Precision Measurement
#@ Limited.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Where sub procedures are used, the main procedure must contain all
# references. This allows MetCal to identify all reference requirements.

  1.001  HEAD         Personnel Safety
  1.002  DISP         Dangerous voltages may be present during this process,
  1.002  DISP         [32]always check it is safe to do so before touching any
  1.002  DISP         [32]electrical connections.

  1.003  HEAD         Equipment Requirements
  1.004  DISP         This Procedure requires the following items:
  1.004  DISP
  1.004  DISP         Two BNC (f/m) Right Angle Adaptors
  1.004  DISP         (Pomona 90191 Model 3534)

# Set timeout for OPC to 100s.
  1.005  MATH         M[88] = 100000

  1.006  HEAD         PRELIMINARY INSTRUCTIONS
  1.007  DISP         Connect the UUT to IEEE-488 Port 1 and turn it on.
  1.007  DISP         Allow a 20 minute warm-up period before advancing...
  1.008  DISP         Press UTILITY.
  1.008  DISP         Press the menu "Options" button.
  1.008  DISP         Select menu "GPIB Setup" for the "GPIB Menu".
  1.008  DISP         Set "Bus Connection" to "Talk-Listen".
  1.008  DISP         If GPIB address is zero, use the Menu button to select
  1.008  DISP         a non-zero address.


  1.009  ASK-   R   Q N              P                            F        W


# Set Registers
  1.010  IEEE         *SRE 0;*ESE 61;DESE 255;*OPC


# Put UUT identification string into results; allow for firmware documentation
  1.011  IEEE         *RST

# Turn off headers on query response.
  1.012  IEEE         HEADER OFF
  1.013  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
  1.014  JMPL         ERROR  M[89] <= 0





#******************** IDENTIFICATION QUERY (*IDN?) ********************

# The TDS Scopes *IDN? command does not actually meet the IEEE-488.2
# standard.  That standard states that the third comma delimited field
# in the *IDN? response is the serial number, however the TDS Scopes
# always return "0" in this field.

#Response
#TEKTRONIX,TDS 224,0,CF:91.1CT FV:v1.06 TDS2CM:CMV:v1.04

  1.015  RSLT         =
  1.016  HEAD         {UUT IDENTIFICATION}
  1.017  IEEE         *IDN?[I$]
  1.018  MATH         S[1] = FLD(MEM2, 1, ",")
  1.019  MATH         S[2] = FLD(MEM2, 2, ",")
  1.020  MATH         S[4] = FLD(MEM2, 3, " ")
  1.021  MATH         S[5] = FLD(MEM2, 4, " ")

  1.022  RSLT         =Manufacturer:            [SREG1]
  1.023  RSLT         =Model:                   [SREG2]
  1.024  RSLT         =Firmware Version:        [SREG4]
  1.025  RSLT         =Module Firmware Version: [SREG5]
  1.026  DISP         Manufacturer:            [SREG1]
  1.026  DISP         Model:                   [SREG2]
  1.026  DISP         Firmware Level:          [SREG4]
  1.026  DISP         Module Firmware Version: [SREG5]




# Let's make sure we have the right scope connected before going on.
# If the wrong scope is connected, the procedure stops here.


  1.027  JMPL         TDS_224      FIND(S[2], "TDS 224",  1)


  1.028  DISP         A Tektronix TDS 224 is not connected to
  1.028  DISP         IEEE-488 port 1.
  1.029  END


  1.030  LABEL        TDS_224
  1.031  MATH         M[102] = 100


# ******************** BEGIN SELF TEST ********************

  1.032  LABEL        SELF_TEST

  1.033  RSLT         =
  1.034  HEAD         SELF-TEST
  1.035  TARGET

# Send commands to start the self-test
  1.036  IEEE         *TST?[I$]

# Self Test evaluation
  1.037  EVAL   -e FIND(MEM2, "0", 1) : Self Test


# ******************** SELF CALIBRATION ********************

  2.001  HEAD         SELF-CALIBRATION

  2.002  DISP         The Self Calibration routine optimizes the
  2.002  DISP         Oscilloscope accuracy for the ambient temperature.
  2.002  DISP         This takes approx. 150 seconds to complete.

  2.003  OPBR         Was the Self Calibration carried out prior to
  2.003  OPBR         running this procedure?
  2.004  JMPL         CONTINUE1 MEM1==1

  2.005  OPBR         Do you wish to carry out the Self Calibration at the
  2.005  OPBR         start of this procedure?
  2.006  JMPL         CONTINUE MEM1==1

  2.007  RSLT         =Self Calibration Routine not Carried out
  2.008  JMPL         END_SELF_CAL

  2.009  LABEL        CONTINUE1
  2.010  EVAL   -s "Manual Self Calibration":Did the Self Calibration Pass?
  3.001  JMPL         END_SELF_CAL

  3.002  LABEL        CONTINUE
  3.003  HEAD         SELF-CALIBRATION
  3.004  TARGET
  3.005  DISP         Disconnect any Probes or Cables from
  3.005  DISP         the UUT's Channel Inputs.

# Set number of seconds to wait for SELF-CALIBRATION to complete.
  3.006  MATH         MEM = 150

# Send commands to start the Self-Calibration
  3.007  IEEE         CAL:INTERNAL


# Wait for scope to finish self-tests (no status query available)
  3.008  LABEL        SELF_CAL_WAIT
  3.009  HEAD         SELF-CAL: [MEM]s Remaining [D1000]
  3.010  MATH         MEM = MEM - 1
  3.011  JMPL         SELF_CAL_WAIT               MEM > 0
  3.012  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
  3.013  JMPL         END_SELF_CAL  M[89] <= 0
  3.014  HEAD         SELF-CAL COMPLETE

# Return result of diagnostics
  3.015  IEEE         CAL:STATUS?[I$]

# Self Calibration evaluation
  3.016  EVAL   -e FIND(MEM2, "PASS", 1) : Automated Self Calibration

# Reset instrument state in case of failure
  4.001  IEEE         *RST
  4.002  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
  4.003  LABEL        END_SELF_CAL
  4.004  JMPL         ERROR          M[89] <= 0

  #4.005  JMPL         CH1-Band
  #4.005  JMPL         TIMEBASE
  #4.005  JMPL         TRIGGER

#******************* Initial UUT Connections ***********************

  4.005  HEAD         LEAD CONNECTIONS

  4.006  DISP         Connect the Calibrator's CH1 Active Head to the UUT's
  4.006  DISP         CH 1 Input.
  4.006  DISP         Connect the Calibrator's CH2 Active Head to the UUT's
  4.006  DISP         CH 2 Input via a BNC (f/m) Right Angle Adaptor.
  4.006  DISP         Connect the Calibrator's CH3 Active Head to the UUT's
  4.006  DISP         CH 3 Input.
  4.006  DISP         Connect the Calibrator's CH4 Active Head to the UUT's
  4.006  DISP         CH 4 Input via a BNC (f/m) Right Angle Adaptor.

#******************* Channel 1 DCV Accuracy ***********************

  4.007  RSLT         =
  4.008  HEAD         DC GAIN ACCURACY: Channel 1
  4.009  RSLT         =DC GAIN ACCURACY: Channel 1
  4.010  TARGET

# Clear status
  4.011  IEEE         *CLS

# Reset scope to factory defaults.
  4.012  IEEE         RECA:SETUP FAC
  4.013  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00

#Configure the UUT

  4.014  IEEE         CH1:COUP DC;PRO 1
  4.015  IEEE         ACQ:MOD AVE
  4.016  IEEE         ACQ:NUMAV 16
  4.017  IEEE         MEASU:MEAS1:SOURCE CH1;TYP MEAN
  4.018  IEEE         ACQ:STATE STOP
  4.019  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00

#Scope Calibrator
  4.020  M9500                       CH1

#Positive Output
  4.021  RSLT         =5mV/Div Range
  4.022  IEEE         CH1:SCA 5E-03
  4.023  9500         17.500mV                                          S
  4.024  IEEE         ACQ:STATE RUN [D4000]
  4.025  IEEE         MEASU:MEAS1:VAL?[I]
  4.026  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  4.027  MATH         M[4] = MEM
  4.028  IEEE         ACQ:STATE STOP

#Negative Output
  4.029  9500         -17.500mV                                         S
  4.030  IEEE         ACQ:STATE RUN [D4000]
  4.031  IEEE         MEASU:MEAS1:VAL?[I]
  4.032  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  4.033  MATH         M[5] = MEM
  4.034  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
  4.035  MATH         MEM = (M[4] - M[5]) * 1000
  4.036  9500         35.000mV                                          S
  4.037  MEME
  4.038  MEMC         mV             1.7U


#Positive Output
  5.001  RSLT         =
  5.002  RSLT         =200mV/Div Range
  5.003  IEEE         CH1:SCA 200E-03
  5.004  9500         0.7000V                                           S
  5.005  IEEE         ACQ:STATE RUN [D4000]
  5.006  IEEE         MEASU:MEAS1:VAL?[I]
  5.007  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  5.008  MATH         M[4] = MEM
  5.009  IEEE         ACQ:STATE STOP

#Negative Output
  5.010  9500         -0.7000V                                          S
  5.011  IEEE         ACQ:STATE RUN [D4000]
  5.012  IEEE         MEASU:MEAS1:VAL?[I]
  5.013  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  5.014  MATH         M[5] = MEM
  5.015  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
  5.016  MATH         MEM = (M[4] - M[5])
  5.017  9500         1.4000V                                           S
  5.018  MEME
  5.019  MEMC         V              0.049U




#Positive Output
  6.001  RSLT         =
  6.002  RSLT         =2 V/Div Range
  6.003  IEEE         CH1:SCA 2E+00
  6.004  9500         7.0000V                                           S
  6.005  IEEE         ACQ:STATE RUN [D4000]
  6.006  IEEE         MEASU:MEAS1:VAL?[I]
  6.007  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  6.008  MATH         M[4] = MEM
  6.009  IEEE         ACQ:STATE STOP

#Negative Output
  6.010  9500         -7.0000V                                          S
  6.011  IEEE         ACQ:STATE RUN [D4000]
  6.012  IEEE         MEASU:MEAS1:VAL?[I]
  6.013  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  6.014  MATH         M[5] = MEM
  6.015  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
  6.016  MATH         MEM = (M[4] - M[5])
  6.017  9500         14.000V                                           S
  6.018  MEME
  6.019  MEMC         V              0.49U


  #******************* Channel 2 DCV Accuracy ***********************

  7.001  RSLT         =
  7.002  HEAD         DC GAIN ACCURACY: Channel 2
  7.003  RSLT         =DC GAIN ACCURACY: Channel 2
  7.004  TARGET

#Configure the UUT
  7.005  IEEE         SEL:CH1 OFF
  7.006  IEEE         SEL:CH2 ON

  7.007  IEEE         CH2:COUP DC;PRO 1
  7.008  IEEE         MEASU:MEAS1:SOURCE CH2;TYP MEAN
  7.009  IEEE         ACQ:STATE STOP
  7.010  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00

#Scope Calibrator
  7.011  M9500                       CH2

#Positive Output
  7.012  RSLT         =5mV/Div Range
  7.013  IEEE         CH2:SCA 5E-03
  7.014  9500         17.500mV                                          S
  7.015  IEEE         ACQ:STATE RUN [D4000]
  7.016  IEEE         MEASU:MEAS1:VAL?[I]
  7.017  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  7.018  MATH         M[4] = MEM
  7.019  IEEE         ACQ:STATE STOP

#Negative Output
  7.020  9500         -17.500mV                                         S
  7.021  IEEE         ACQ:STATE RUN [D4000]
  7.022  IEEE         MEASU:MEAS1:VAL?[I]
  7.023  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  7.024  MATH         M[5] = MEM
  7.025  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
  7.026  MATH         MEM = (M[4] - M[5]) * 1000
  7.027  9500         35.000mV                                          S
  7.028  MEME
  7.029  MEMC         mV             1.7U


#Positive Output
  8.001  RSLT         =
  8.002  RSLT         =200mV/Div Range
  8.003  IEEE         CH2:SCA 200E-03
  8.004  9500         0.7000V                                           S
  8.005  IEEE         ACQ:STATE RUN [D4000]
  8.006  IEEE         MEASU:MEAS1:VAL?[I]
  8.007  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  8.008  MATH         M[4] = MEM
  8.009  IEEE         ACQ:STATE STOP

#Negative Output
  8.010  9500         -0.7000V                                          S
  8.011  IEEE         ACQ:STATE RUN [D4000]
  8.012  IEEE         MEASU:MEAS1:VAL?[I]
  8.013  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  8.014  MATH         M[5] = MEM
  8.015  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
  8.016  MATH         MEM = (M[4] - M[5])
  8.017  9500         1.4000V                                           S
  8.018  MEME
  8.019  MEMC         V              0.049U




#Positive Output
  9.001  RSLT         =
  9.002  RSLT         =2 V/Div Range
  9.003  IEEE         CH2:SCA 2E+00
  9.004  9500         7.0000V                                           S
  9.005  IEEE         ACQ:STATE RUN [D4000]
  9.006  IEEE         MEASU:MEAS1:VAL?[I]
  9.007  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  9.008  MATH         M[4] = MEM
  9.009  IEEE         ACQ:STATE STOP

#Negative Output
  9.010  9500         -7.0000V                                          S
  9.011  IEEE         ACQ:STATE RUN [D4000]
  9.012  IEEE         MEASU:MEAS1:VAL?[I]
  9.013  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
  9.014  MATH         M[5] = MEM
  9.015  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
  9.016  MATH         MEM = (M[4] - M[5])
  9.017  9500         14.000V                                           S
  9.018  MEME
  9.019  MEMC         V              0.49U


#******************* Channel 3 DCV Accuracy ***********************

 10.001  RSLT         =
 10.002  HEAD         DC GAIN ACCURACY: Channel 3
 10.003  RSLT         =DC GAIN ACCURACY: Channel 3
 10.004  TARGET

#Configure the UUT
 10.005  IEEE         SEL:CH2 OFF
 10.006  IEEE         SEL:CH3 ON

 10.007  IEEE         CH3:COUP DC;PRO 1
 10.008  IEEE         MEASU:MEAS1:SOURCE CH3;TYP MEAN
 10.009  IEEE         ACQ:STATE STOP
 10.010  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00

#Scope Calibrator
 10.011  M9500                       CH3

#Positive Output
 10.012  RSLT         =5mV/Div Range
 10.013  IEEE         CH3:SCA 5E-03
 10.014  9500         17.500mV                                          S
 10.015  IEEE         ACQ:STATE RUN [D4000]
 10.016  IEEE         MEASU:MEAS1:VAL?[I]
 10.017  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 10.018  MATH         M[4] = MEM
 10.019  IEEE         ACQ:STATE STOP

#Negative Output
 10.020  9500         -17.500mV                                         S
 10.021  IEEE         ACQ:STATE RUN [D4000]
 10.022  IEEE         MEASU:MEAS1:VAL?[I]
 10.023  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 10.024  MATH         M[5] = MEM
 10.025  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
 10.026  MATH         MEM = (M[4] - M[5]) * 1000
 10.027  9500         35.000mV                                          S
 10.028  MEME
 10.029  MEMC         mV             1.7U


#Positive Output
 11.001  RSLT         =
 11.002  RSLT         =200mV/Div Range
 11.003  IEEE         CH3:SCA 200E-03
 11.004  9500         0.7000V                                           S
 11.005  IEEE         ACQ:STATE RUN [D4000]
 11.006  IEEE         MEASU:MEAS1:VAL?[I]
 11.007  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 11.008  MATH         M[4] = MEM
 11.009  IEEE         ACQ:STATE STOP

#Negative Output
 11.010  9500         -0.7000V                                          S
 11.011  IEEE         ACQ:STATE RUN [D4000]
 11.012  IEEE         MEASU:MEAS1:VAL?[I]
 11.013  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 11.014  MATH         M[5] = MEM
 11.015  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
 11.016  MATH         MEM = (M[4] - M[5])
 11.017  9500         1.4000V                                           S
 11.018  MEME
 11.019  MEMC         V              0.049U




#Positive Output
 12.001  RSLT         =
 12.002  RSLT         =2 V/Div Range
 12.003  IEEE         CH3:SCA 2E+00
 12.004  9500         7.0000V                                           S
 12.005  IEEE         ACQ:STATE RUN [D4000]
 12.006  IEEE         MEASU:MEAS1:VAL?[I]
 12.007  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 12.008  MATH         M[4] = MEM
 12.009  IEEE         ACQ:STATE STOP

#Negative Output
 12.010  9500         -7.0000V                                          S
 12.011  IEEE         ACQ:STATE RUN [D4000]
 12.012  IEEE         MEASU:MEAS1:VAL?[I]
 12.013  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 12.014  MATH         M[5] = MEM
 12.015  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
 12.016  MATH         MEM = (M[4] - M[5])
 12.017  9500         14.000V                                           S
 12.018  MEME
 12.019  MEMC         V              0.49U

#******************* Channel 4 DCV Accuracy ***********************

 13.001  RSLT         =
 13.002  HEAD         DC GAIN ACCURACY: Channel 4
 13.003  RSLT         =DC GAIN ACCURACY: Channel 4
 13.004  TARGET

#Configure the UUT
 13.005  IEEE         SEL:CH3 OFF
 13.006  IEEE         SEL:CH4 ON

 13.007  IEEE         CH4:COUP DC;PRO 1
 13.008  IEEE         MEASU:MEAS1:SOURCE CH4;TYP MEAN
 13.009  IEEE         ACQ:STATE STOP
 13.010  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00

#Scope Calibrator
 13.011  M9500                       CH4

#Positive Output
 13.012  RSLT         =5mV/Div Range
 13.013  IEEE         CH4:SCA 5E-03
 13.014  9500         17.500mV                                          S
 13.015  IEEE         ACQ:STATE RUN [D4000]
 13.016  IEEE         MEASU:MEAS1:VAL?[I]
 13.017  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 13.018  MATH         M[4] = MEM
 13.019  IEEE         ACQ:STATE STOP

#Negative Output
 13.020  9500         -17.500mV                                         S
 13.021  IEEE         ACQ:STATE RUN [D4000]
 13.022  IEEE         MEASU:MEAS1:VAL?[I]
 13.023  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 13.024  MATH         M[5] = MEM
 13.025  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
 13.026  MATH         MEM = (M[4] - M[5]) * 1000
 13.027  9500         35.000mV                                          S
 13.028  MEME
 13.029  MEMC         mV             1.7U


#Positive Output
 14.001  RSLT         =
 14.002  RSLT         =200mV/Div Range
 14.003  IEEE         CH4:SCA 200E-03
 14.004  9500         0.7000V                                           S
 14.005  IEEE         ACQ:STATE RUN [D4000]
 14.006  IEEE         MEASU:MEAS1:VAL?[I]
 14.007  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 14.008  MATH         M[4] = MEM
 14.009  IEEE         ACQ:STATE STOP

#Negative Output
 14.010  9500         -0.7000V                                          S
 14.011  IEEE         ACQ:STATE RUN [D4000]
 14.012  IEEE         MEASU:MEAS1:VAL?[I]
 14.013  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 14.014  MATH         M[5] = MEM
 14.015  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
 14.016  MATH         MEM = (M[4] - M[5])
 14.017  9500         1.4000V                                           S
 14.018  MEME
 14.019  MEMC         V              0.049U




#Positive Output
 15.001  RSLT         =
 15.002  RSLT         =2 V/Div Range
 15.003  IEEE         CH4:SCA 2E+00
 15.004  9500         7.0000V                                           S
 15.005  IEEE         ACQ:STATE RUN [D4000]
 15.006  IEEE         MEASU:MEAS1:VAL?[I]
 15.007  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 15.008  MATH         M[4] = MEM
 15.009  IEEE         ACQ:STATE STOP

#Negative Output
 15.010  9500         -7.0000V                                          S
 15.011  IEEE         ACQ:STATE RUN [D4000]
 15.012  IEEE         MEASU:MEAS1:VAL?[I]
 15.013  HEAD         Channel Reading = [MEM]


# Save this reading in M[4] for use later in comparing readings
 15.014  MATH         M[5] = MEM
 15.015  IEEE         ACQ:STATE STOP


# Perform a calculation on the last 2 readings
 15.016  MATH         MEM = (M[4] - M[5])
 15.017  9500         14.000V                                           S
 15.018  MEME
 15.019  MEMC         V              0.49U


 16.001  9500         *                                                 S

  #******************* Channel 1 Analogue Bandwidth ***********************
 16.002  LABEL        CH1-Band
 16.003  RSLT         =
 16.004  HEAD         Bandwidth: Channel 1 @ [M102] MHz
 16.005  RSLT         =BANDWIDTH: Channel 1 @ [M102] MHz

 16.006  TARGET

# Clear status
 16.007  IEEE         *CLS

# Reset scope to factory defaults.
 16.008  IEEE         RECA:SETUP FAC
 16.009  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00

#Configure the UUT

 16.010  IEEE         CH1:COUP DC;PRO 1
 16.011  IEEE         CH1:SCA 500E-03
 16.012  IEEE         HOR:MAI:SCA 10e-6
 16.013  IEEE         ACQ:MOD AVE
 16.014  IEEE         ACQ:NUMAV 16
 16.015  IEEE         TRIG:MAIN:EDGE:SOU CH1;SLO RIS;COUP NOISE
 16.016  IEEE         MEASU:MEAS1:SOURCE CH1;TYP PK2
 16.017  IEEE         ACQ:STATE STOP

#Scope Calibrator at Reference Reading
 16.018  M9500                       CH1
 16.019  9500         3.000Vpp                     50kH           LS    S
 16.020  IEEE         ACQ:STATE RUN [D4000]
 16.021  IEEE         TRIG:MAI SETL
 16.022  IEEE         MEASU:MEAS1:VAL?[I]
 16.023  HEAD         Channel Reference Reading = [MEM] Vpp
 16.024  IEEE         ACQ:STATE STOP
 16.025  MATH         M[2] = MEM


# Test the 500 mV/Div Range @ 3 V 100 MHZ
 16.026  RSLT         =500 mV/Div Range @ [M102]MHz
 16.027  IEEE         HOR:MAI:SCA 10e-9
 16.028  9500         3.000Vpp                     100MH          LS    S
 16.029  IEEE         ACQ:STATE RUN [D4000]
 16.030  IEEE         TRIG:MAI SETL
 16.031  IEEE         MEASU:MEAS1:VAL?[I]
 16.032  HEAD         Channel Bandwidth Reading = [MEM]
 16.033  MATH         MEM = (3 / M[2] ) * (MEM)
 16.034  MEME
 16.035  MEMC         Vpp            0.8761U

#******************* Channel 2 Analogue Bandwidth ***********************

 17.001  RSLT         =
 17.002  HEAD         Bandwidth: Channel 2 @ [M102] MHz
 17.003  RSLT         =BANDWIDTH: Channel 2 @ [M102] MHz

 17.004  TARGET

#Configure the UUT
 17.005  IEEE         SEL:CH1 OFF
 17.006  IEEE         SEL:CH2 ON

 17.007  IEEE         CH2:COUP DC;PRO 1
 17.008  IEEE         CH2:SCA 500E-03
 17.009  IEEE         HOR:MAI:SCA 10e-6
 17.010  IEEE         TRIG:MAIN:EDGE:SOU CH2;SLO RIS;COUP NOISE
 17.011  IEEE         MEASU:MEAS1:SOURCE CH2;TYP PK2
 17.012  IEEE         ACQ:STATE STOP

#Scope Calibrator at Reference Reading
 17.013  M9500                       CH2
 17.014  9500         3.000Vpp                     50kH           LS    S
 17.015  IEEE         ACQ:STATE RUN [D4000]
 17.016  IEEE         TRIG:MAI SETL
 17.017  IEEE         MEASU:MEAS1:VAL?[I]
 17.018  HEAD         Channel Reference Reading = [MEM] Vpp
 17.019  IEEE         ACQ:STATE STOP
 17.020  MATH         M[2] = MEM


# Test the 500 mV/Div Range @ 3 V 100 MHZ
 17.021  RSLT         =500 mV/Div Range @ [M102]MHz
 17.022  IEEE         HOR:MAI:SCA 10e-9
 17.023  9500         3.000Vpp                     100MH          LS    S
 17.024  IEEE         ACQ:STATE RUN [D4000]
 17.025  IEEE         TRIG:MAI SETL
 17.026  IEEE         MEASU:MEAS1:VAL?[I]
 17.027  HEAD         Channel Bandwidth Reading = [MEM]
 17.028  MATH         MEM = (3 / M[2] ) * (MEM)
 17.029  MEME
 17.030  MEMC         Vpp            0.8761U

#******************* Channel 3 Analogue Bandwidth ***********************

 18.001  RSLT         =
 18.002  HEAD         Bandwidth: Channel 3 @ [M102] MHz
 18.003  RSLT         =BANDWIDTH: Channel 3 @ [M102] MHz

 18.004  TARGET

#Configure the UUT
 18.005  IEEE         SEL:CH2 OFF
 18.006  IEEE         SEL:CH3 ON

 18.007  IEEE         CH3:COUP DC;PRO 1
 18.008  IEEE         CH3:SCA 500E-03
 18.009  IEEE         HOR:MAI:SCA 10e-6
 18.010  IEEE         TRIG:MAIN:EDGE:SOU CH3;SLO RIS;COUP NOISE
 18.011  IEEE         MEASU:MEAS1:SOURCE CH3;TYP PK2
 18.012  IEEE         ACQ:STATE STOP

#Scope Calibrator at Reference Reading
 18.013  M9500                       CH3
 18.014  9500         3.000Vpp                     50kH           LS    S
 18.015  IEEE         ACQ:STATE RUN [D4000]
 18.016  IEEE         TRIG:MAI SETL
 18.017  IEEE         MEASU:MEAS1:VAL?[I]
 18.018  HEAD         Channel Reference Reading = [MEM] Vpp
 18.019  IEEE         ACQ:STATE STOP
 18.020  MATH         M[2] = MEM


# Test the 500 mV/Div Range @ 3 V 100 MHZ
 18.021  RSLT         =500 mV/Div Range @ [M102]MHz
 18.022  IEEE         HOR:MAI:SCA 10e-9
 18.023  9500         3.000Vpp                     100MH          LS    S
 18.024  IEEE         ACQ:STATE RUN [D4000]
 18.025  IEEE         TRIG:MAI SETL
 18.026  IEEE         MEASU:MEAS1:VAL?[I]
 18.027  HEAD         Channel Bandwidth Reading = [MEM]
 18.028  MATH         MEM = (3 / M[2] ) * (MEM)
 18.029  MEME
 18.030  MEMC         Vpp            0.8761U

#******************* Channel 4 Analogue Bandwidth ***********************

 19.001  RSLT         =
 19.002  HEAD         Bandwidth: Channel 4 @ [M102] MHz
 19.003  RSLT         =BANDWIDTH: Channel 4 @ [M102] MHz

 19.004  TARGET

#Configure the UUT
 19.005  IEEE         SEL:CH3 OFF
 19.006  IEEE         SEL:CH4 ON

 19.007  IEEE         CH4:COUP DC;PRO 1
 19.008  IEEE         CH4:SCA 500E-03
 19.009  IEEE         HOR:MAI:SCA 10e-6
 19.010  IEEE         TRIG:MAIN:EDGE:SOU CH4;SLO RIS;COUP NOISE
 19.011  IEEE         MEASU:MEAS1:SOURCE CH4;TYP PK2
 19.012  IEEE         ACQ:STATE STOP

#Scope Calibrator at Reference Reading
 19.013  M9500                       CH4
 19.014  9500         3.000Vpp                     50kH           LS    S
 19.015  IEEE         ACQ:STATE RUN [D4000]
 19.016  IEEE         TRIG:MAI SETL
 19.017  IEEE         MEASU:MEAS1:VAL?[I]
 19.018  HEAD         Channel Reference Reading = [MEM] Vpp
 19.019  IEEE         ACQ:STATE STOP
 19.020  MATH         M[2] = MEM


# Test the 500 mV/Div Range @ 3 V 100 MHZ
 19.021  RSLT         =500 mV/Div Range @ [M102]MHz
 19.022  IEEE         HOR:MAI:SCA 10e-9
 19.023  9500         3.000Vpp                     100MH          LS    S
 19.024  IEEE         ACQ:STATE RUN [D4000]
 19.025  IEEE         TRIG:MAI SETL
 19.026  IEEE         MEASU:MEAS1:VAL?[I]
 19.027  HEAD         Channel Bandwidth Reading = [MEM]
 19.028  MATH         MEM = (3 / M[2] ) * (MEM)
 19.029  MEME
 19.030  MEMC         Vpp            0.8761U


# ********************** Timebase Accuracy ***********************

 20.001  LABEL        TIMEBASE
 20.002  RSLT         =
 20.003  HEAD         Timebase Accuracy: Delay Time
 20.004  RSLT         =TIMEBASE ACCURACY: Delay Time

 20.005  TARGET

# Clear status
 20.006  IEEE         *CLS

# Reset scope to factory defaults.
 20.007  IEEE         RECA:SETUP FAC
 20.008  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00

#Configure the UUT
 20.009  IEEE         SEL:CH1 OFF
 20.010  IEEE         SEL:CH2 ON
 20.011  IEEE         TRIG:MAIN:MOD NORM
 20.012  IEEE         TRIG:MAIN:EDGE:SOU CH2;SLO RIS;COUP DC
 20.013  IEEE         CH2:COUP DC;PRO 1
 20.014  IEEE         CH2:SCA 200E-03
 20.015  IEEE         HOR:MAI:SCA 1e-3

#Scope Calibrator
 20.016  M9500                       CH2
 20.017  9500         10.000000mT                  1Vpp           M2    S

 20.018  DISP         If required, adjust the horizontal POSITION
 20.018  DISP         to move the trigger T to align it to the
 20.018  DISP         center vertical graticule line.
 20.018  DISP         This establishes a reference for the next step.

#IEEE 488.2 Scope

 20.019  IEEE         TRIG:MAI SETL
 20.020  IEEE         HOR:VIEW WINDOW
 20.021  IEEE         HOR:DEL:SCA 500e-9;POS 10e-3

 20.022  DISP         In the Following Instruction:
 20.022  DISP         Enter via the keyboard the error in divisions the rising
 20.022  DISP         edge of the marker has moved from the previous center
 20.022  DISP         vertical graticule line reference.

 20.023  MEMI         Enter Value Here? Note: 1 box = ±1 division
 20.024  MATH         MEM = MEM*500E-6
 20.025  MATH         MEM1 = 0.000000
 20.026  MEME
 20.027  MEMC         mT             0.001000U

# ********************** Trigger Sensitivity ***********************

 21.001  LABEL        TRIGGER
 21.002  RSLT         =
 21.003  HEAD         Edge Trigger Sensitivity @ [M102] MHz
 21.004  RSLT         =Edge Trigger Sensitivity @ [M102] MHz


 21.005  TARGET

# Clear status
 21.006  IEEE         *CLS

# Reset scope to factory defaults.
 21.007  IEEE         RECA:SETUP FAC
 21.008  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00

#Configure the UUT
 21.009  IEEE         CH1:COUP DC;PRO 1
 21.010  IEEE         CH1:SCA 500E-03
 21.011  IEEE         ACQ:MOD AVE
 21.012  IEEE         ACQ:NUMAV 16
 21.013  IEEE         HOR:MAI:SCA 10e-9
 21.014  IEEE         TRIG:MAIN:MOD NORM
 21.015  IEEE         MEASU:MEAS1:SOURCE CH1;TYP PK2
 21.016  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
 21.017  JMPL         END            M[89] <= 0


#Scope Calibrator
 21.018  M9500                       CH1
 21.019  9500         3.750Vpp                     100MH          LS    S
 21.020  MATH         M[1] = MEM1

# Set the watchdog counter to 0
 21.021  MATH         M[10] = 0
 21.022  MATH         M[11] = 3.750

 21.023  LABEL        FEEDBACK1
 21.024  MATH         MEM = M[1]
 21.025  9500         Vpp                          100MH          LS    S
 21.026  IEEE         ACQ:STATE RUN
 21.027  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
 21.028  JMPL         END            M[89] <= 0
 21.029  IEEE         TRIG:MAI SETL[D5000]
 21.030  IEEE         MEASU:MEAS1:VAL?[I]
 21.031  HEAD         Channel 1, Reference Trigger Level  [MEM]Vpp
 21.032  LABEL        CONT_FEEDBACK1
 21.033  MATH         M[2] = M[11] - MEM
 21.034  JMPL         TRIGGER1                     ABS(M[2]) < 0.04
 21.035  MATH         M[1] = (M[2] / 2) + MEM1

# Increment the Watchdog Counter
 21.036  MATH         M[10] = M[10] + 1

# We will give the scope 75 tries to get the right reading
 21.037  JMPL         FEEDBACK1                    M[10] < 75

# Attenuate the 9500 output by a factor of 5
 21.038  LABEL        TRIGGER1
 21.039  MATH         M[2] = MEM1 / 5
 21.040  MATH         MEM = M[2]
 21.041  9500         Vpp                          100MH          LS    S
 21.042  MATH         M[3] = -0.380; M[4] = 0.020
 21.043  CALL         Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
 21.044  JMPL         END            M[89] <= 0
 21.045  RSLT         =Channel 1
 21.046  MATH         MEM = FMT(MEM, "%4.3f")
 21.047  EVAL   -e M[10] > 10 : (+ Slope) Main Trigger: [MEM] Vpp @ [M102]MHz



 22.001  IEEE         TRIG:MAIN:EDGE:SOU CH1;SLO FALL;COUP DC
 22.002  MATH         MEM = M[2]
 22.003  9500         Vpp                          100MH          LS    S
 22.004  MATH         M[3] = -0.380; M[4] = 0.020
 22.005  CALL         Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
 22.006  JMPL         END            M[89] <= 0
 22.007  MATH         MEM = FMT(MEM, "%4.3f")
 22.008  EVAL   -e M[10] > 10 : (- Slope) Main Trigger: [MEM] Vpp @ [M102]MHz
 23.001  9500         *                                                 S



#************************* Trigger Sensitivity Channel 2 *********************
#Configure the UUT
 23.002  RSLT         =
 23.003  IEEE         SEL:CH1 OFF
 23.004  IEEE         SEL:CH2 ON  [D2000]
 23.005  IEEE         CH2:COUP DC;PRO 1
 23.006  IEEE         CH2:SCA 0.5
 23.007  IEEE         TRIG:MAIN:EDGE:SOU CH2;SLO RIS;COUP DC
 23.008  IEEE         MEASU:MEAS1:SOURCE CH2;TYP PK2
 23.009  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
 23.010  JMPL         END            M[89] <= 0

#Scope Calibrator
 23.011  M9500                       CH2
 23.012  9500         3.750Vpp                     100MH          LS    S
 23.013  MATH         M[1] = MEM1

# Set the watchdog counter to 0
 23.014  MATH         M[10] = 0
 23.015  MATH         M[11] = 3.750

 23.016  LABEL        FEEDBACK2
 23.017  MATH         MEM = M[1]
 23.018  9500         Vpp                          100MH          LS    S
 23.019  IEEE         ACQ:STATE RUN
 23.020  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
 23.021  JMPL         END            M[89] <= 0
 23.022  IEEE         TRIG:MAI SETL[D5000]
 23.023  IEEE         MEASU:MEAS1:VAL?[I]
 23.024  HEAD         Channel 2, Reference Trigger Level  [MEM]Vpp
 23.025  LABEL        CONT_FEEDBACK2
 23.026  MATH         M[2] = M[11] - MEM
 23.027  JMPL         TRIGGER2                     ABS(M[2]) < 0.04
 23.028  MATH         M[1] = (M[2] / 2) + MEM1

# Increment the Watchdog Counter
 23.029  MATH         M[10] = M[10] + 1

# We will give the scope 75 tries to get the right reading
 23.030  JMPL         FEEDBACK2                    M[10] < 75

# Attenuate the 9500 output by a factor of 5
 23.031  LABEL        TRIGGER2
 23.032  MATH         M[2] = MEM1 / 5
 23.033  MATH         MEM = M[2]
 23.034  9500         Vpp                          100MH          LS    S
 23.035  MATH         M[3] = -0.380; M[4] = 0.020
 23.036  CALL         Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
 23.037  JMPL         END            M[89] <= 0
 23.038  RSLT         =Channel 2
 23.039  MATH         MEM = FMT(MEM, "%4.3f")
 23.040  EVAL   -e M[10] > 10 : (+ Slope) Main Trigger: [MEM] Vpp @ [M102]MHz



 24.001  IEEE         TRIG:MAIN:EDGE:SOU CH2;SLO FALL;COUP DC
 24.002  MATH         MEM = M[2]
 24.003  9500         Vpp                          100MH          LS    S
 24.004  MATH         M[3] = -0.380; M[4] = 0.020
 24.005  CALL         Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
 24.006  JMPL         END            M[89] <= 0
 24.007  MATH         MEM = FMT(MEM, "%4.3f")
 24.008  EVAL   -e M[10] > 10 : (- Slope) Main Trigger: [MEM] Vpp @ [M102]MHz

 #************************* Trigger Sensitivity Channel 3 ********************

#Configure the UUT
 25.001  RSLT         =
 25.002  IEEE         SEL:CH2 OFF
 25.003  IEEE         SEL:CH3 ON  [D2000]
 25.004  IEEE         CH3:COUP DC;PRO 1
 25.005  IEEE         CH3:SCA 0.5
 25.006  IEEE         TRIG:MAIN:EDGE:SOU CH3;SLO RIS;COUP DC
 25.007  IEEE         MEASU:MEAS1:SOURCE CH3;TYP PK2
 25.008  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
 25.009  JMPL         END            M[89] <= 0

#Scope Calibrator
 25.010  M9500                       CH3
 25.011  9500         3.750Vpp                     100MH          LS    S
 25.012  MATH         M[1] = MEM1

# Set the watchdog counter to 0
 25.013  MATH         M[10] = 0
 25.014  MATH         M[11] = 3.750

 25.015  LABEL        FEEDBACK3
 25.016  MATH         MEM = M[1]
 25.017  9500         Vpp                          100MH          LS    S
 25.018  IEEE         ACQ:STATE RUN
 25.019  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
 25.020  JMPL         END            M[89] <= 0
 25.021  IEEE         TRIG:MAI SETL[D5000]
 25.022  IEEE         MEASU:MEAS1:VAL?[I]
 25.023  HEAD         Channel 2, Reference Trigger Level  [MEM]Vpp
 25.024  LABEL        CONT_FEEDBACK3
 25.025  MATH         M[2] = M[11] - MEM
 25.026  JMPL         TRIGGER3                     ABS(M[2]) < 0.04
 25.027  MATH         M[1] = (M[2] / 2) + MEM1

# Increment the Watchdog Counter
 25.028  MATH         M[10] = M[10] + 1

# We will give the scope 75 tries to get the right reading
 25.029  JMPL         FEEDBACK3                    M[10] < 75

# Attenuate the 9500 output by a factor of 5
 25.030  LABEL        TRIGGER3
 25.031  MATH         M[2] = MEM1 / 5
 25.032  MATH         MEM = M[2]
 25.033  9500         Vpp                          100MH          LS    S
 25.034  MATH         M[3] = -0.380; M[4] = 0.020
 25.035  CALL         Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
 25.036  JMPL         END            M[89] <= 0
 25.037  RSLT         =Channel 3
 25.038  MATH         MEM = FMT(MEM, "%4.3f")
 25.039  EVAL   -e M[10] > 10 : (+ Slope) Main Trigger: [MEM] Vpp @ [M102]MHz



 26.001  IEEE         TRIG:MAIN:EDGE:SOU CH3;SLO FALL;COUP DC
 26.002  MATH         MEM = M[2]
 26.003  9500         Vpp                          100MH          LS    S
 26.004  MATH         M[3] = -0.380; M[4] = 0.020
 26.005  CALL         Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
 26.006  JMPL         END            M[89] <= 0
 26.007  MATH         MEM = FMT(MEM, "%4.3f")
 26.008  EVAL   -e M[10] > 10 : (- Slope) Main Trigger: [MEM] Vpp @ [M102]MHz

#************************* Trigger Sensitivity Channel 4 *********************

#Configure the UUT
 27.001  RSLT         =
 27.002  IEEE         SEL:CH3 OFF
 27.003  IEEE         SEL:CH4 ON  [D2000]
 27.004  IEEE         CH4:COUP DC;PRO 1
 27.005  IEEE         CH4:SCA 0.5
 27.006  IEEE         TRIG:MAIN:EDGE:SOU CH4;SLO RIS;COUP DC
 27.007  IEEE         MEASU:MEAS1:SOURCE CH4;TYP PK2
 27.008  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
 27.009  JMPL         END            M[89] <= 0

#Scope Calibrator
 27.010  M9500                       CH4
 27.011  9500         3.750Vpp                     100MH          LS    S
 27.012  MATH         M[1] = MEM1

# Set the watchdog counter to 0
 27.013  MATH         M[10] = 0
 27.014  MATH         M[11] = 3.750

 27.015  LABEL        FEEDBACK4
 27.016  MATH         MEM = M[1]
 27.017  9500         Vpp                          100MH          LS    S
 27.018  IEEE         ACQ:STATE RUN
 27.019  CALL         Sub Wait for Operation Complete (OPC) IEEE/: 1.00
 27.020  JMPL         END            M[89] <= 0
 27.021  IEEE         TRIG:MAI SETL[D5000]
 27.022  IEEE         MEASU:MEAS1:VAL?[I]
 27.023  HEAD         Channel 4, Reference Trigger Level  [MEM]Vpp
 27.024  LABEL        CONT_FEEDBACK4
 27.025  MATH         M[2] = M[11] - MEM
 27.026  JMPL         TRIGGER4                     ABS(M[2]) < 0.04
 27.027  MATH         M[1] = (M[2] / 2) + MEM1

# Increment the Watchdog Counter
 27.028  MATH         M[10] = M[10] + 1

# We will give the scope 75 tries to get the right reading
 27.029  JMPL         FEEDBACK4                    M[10] < 75

# Attenuate the 9500 output by a factor of 5
 27.030  LABEL        TRIGGER4
 27.031  MATH         M[2] = MEM1 / 5
 27.032  MATH         MEM = M[2]
 27.033  9500         Vpp                          100MH          LS    S
 27.034  MATH         M[3] = -0.380; M[4] = 0.020
 27.035  CALL         Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
 27.036  JMPL         END            M[89] <= 0
 27.037  RSLT         =Channel 4
 27.038  MATH         MEM = FMT(MEM, "%4.3f")
 27.039  EVAL   -e M[10] > 10 : (+ Slope) Main Trigger: [MEM] Vpp @ [M102]MHz



 28.001  IEEE         TRIG:MAIN:EDGE:SOU CH4;SLO FALL;COUP DC
 28.002  MATH         MEM = M[2]
 28.003  9500         Vpp                          100MH          LS    S
 28.004  MATH         M[3] = -0.380; M[4] = 0.020
 28.005  CALL         Sub Tek TDS2xx: Main Trigger IEEE/: 1.00
 28.006  JMPL         END            M[89] <= 0
 28.007  MATH         MEM = FMT(MEM, "%4.3f")
 28.008  EVAL   -e M[10] > 10 : (- Slope) Main Trigger: [MEM] Vpp @ [M102]MHz

 29.001  JMPL         END


 29.002  LABEL        ERROR
 29.003  HEAD         ERROR
 29.004  DISP         [SREG28]

 29.005  LABEL        END
 29.006  END



